Apipylon
Update a Pylon account (PATCH /accounts/{id})
Write operation: mutates state in the upstream service.
curl -X PATCH "https://api.modernloop.dev/rest/v1/pylon/accounts/string" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "name": "string", "type": "string", "domain": "string", "domains": [ "string" ], "primary_domain": "string", "owner": { "id": "string", "email": "string" }, "tags": [ "string" ], "is_disabled": true, "latest_customer_activity_time": "string", "created_at": "string" }, "request_id": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Resource UUID or external identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
owner_id?string
tags?array<string>
tags_apply_mode?string
Value in
- "append_only"
- "remove_only"
- "replace"
is_disabled?boolean
domains?array<string>
external_ids?array<>
custom_fields?array<>
Response Body
application/json
application/json
application/json
application/json
application/json